Main Page Class List Class Members

# Nv::Blast::CutoutSet Class Reference

`#include <NvBlastExtAuthoringCutout.h>`

Inheritance diagram for Nv::Blast::CutoutSet:

List of all members.

## Public Member Functions
virtual uint32_t | getCutoutCount () const =0
virtual uint32_t | getCutoutLoopCount (uint32_t cutoutIndex) const =0
virtual const NvcVec3 & | getCutoutVertex (uint32_t cutoutIndex, uint32_t loopIndex, uint32_t vertexIndex) const =0
virtual uint32_t | getCutoutVertexCount (uint32_t cutoutIndex, uint32_t loopIndex) const =0
virtual const NvcVec2 & | getDimensions () const =0
virtual bool | isCutoutVertexToggleSmoothingGroup (uint32_t cutoutIndex, uint32_t loopIndex, uint32_t vertexIndex) const =0
virtual bool | isPeriodic () const =0
virtual void | release ()=0
## Protected Member Functions
virtual | ~CutoutSet ()

## Detailed Description

Interface to a "cutout set," used with chippable fracturing. A cutout set is created from a bitmap. The result is turned into cutouts which are applied to the mesh. For example, a bitmap which looks like a brick pattern will generate a cutout for each "brick," forming the cutout set.

Each cutout is a 2D entity, meant to be projected onto various faces of a mesh. They are represented by a set of 2D vertices, which form closed loops. More than one loop may represent a single cutout, if the loops are forced to be convex. Otherwise, a cutout is represented by a single loop.

## Constructor & Destructor Documentation

virtual Nv::Blast::CutoutSet::~CutoutSet | ( |  | ) | `[inline, protected, virtual]`

Protected destructor. Use the release() method.

## Member Function Documentation

virtual uint32_t Nv::Blast::CutoutSet::getCutoutCount | ( |  | ) | const`[pure virtual]`

Returns the number of cutouts in the set.

Implemented in Nv::Blast::CutoutSetImpl.

virtual uint32_t Nv::Blast::CutoutSet::getCutoutLoopCount | ( | uint32_t | cutoutIndex | ) | const`[pure virtual]`

Applies to the cutout indexed by cutoutIndex: Returns the number of loops in this cutout.

Implemented in Nv::Blast::CutoutSetImpl.

virtual const NvcVec3& Nv::Blast::CutoutSet::getCutoutVertex | ( | uint32_t | cutoutIndex,
|  | uint32_t | loopIndex,
|  | uint32_t | vertexIndex |
| ) |  |  | const`[pure virtual]`

Applies to the cutout indexed by cutoutIndex: Returns the vertex indexed by vertexIndex. (Only the X and Y coordinates are used.)

Implemented in Nv::Blast::CutoutSetImpl.

virtual uint32_t Nv::Blast::CutoutSet::getCutoutVertexCount | ( | uint32_t | cutoutIndex,
|  | uint32_t | loopIndex |
| ) |  |  | const`[pure virtual]`

Applies to the cutout indexed by cutoutIndex: Returns the number of vertices in the cutout.

Implemented in Nv::Blast::CutoutSetImpl.

virtual const NvcVec2& Nv::Blast::CutoutSet::getDimensions | ( |  | ) | const`[pure virtual]`

The dimensions of the fracture map used to create the cutout set.

Implemented in Nv::Blast::CutoutSetImpl.

virtual bool Nv::Blast::CutoutSet::isCutoutVertexToggleSmoothingGroup | ( | uint32_t | cutoutIndex,
|  | uint32_t | loopIndex,
|  | uint32_t | vertexIndex |
| ) |  |  | const`[pure virtual]`

If smoothing group should be changed for adjacent to this vertex faces return true

Implemented in Nv::Blast::CutoutSetImpl.

virtual bool Nv::Blast::CutoutSet::isPeriodic | ( |  | ) | const`[pure virtual]`

Whether or not this cutout set is to be tiled.

Implemented in Nv::Blast::CutoutSetImpl.

virtual void Nv::Blast::CutoutSet::release | ( |  | ) | `[pure virtual]`

Releases all memory and deletes itself.

Implemented in Nv::Blast::CutoutSetImpl.

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/include/NvBlastExtAuthoringCutout.h